Subject: Re: bug#50786: Missing info??
From: "Brian C. Lane" <[email-masked]>
To: [email-masked]
Date: Fri, 24 Sep 2021 16:23:43 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

You don't mention what version and distribution you are using. Upstream
parted does have -l in the manpage so I'd file a bug with the
distribution.

parted now (or will, depending on whether your distribution includes
patches from master) has a --fix option for your exact problem. When
used along with --script it will automatically fix the size of the disk
and write the backup partition table.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart